Subject: [Add] NIST: Zero Trust Architecture

From: Rob Sayre <[email-masked]>
Date: Sun, 29 Sep 2019 17:33:49 +0700

Hi,

I've found a couple references concerning "Zero Trust Architecture" that
seem relevant to the level of trust clients and servers might give to
intermediaries. There's this one from NIST, which I think was published
about 5 days ago:

"ZTA focuses on protecting resources, not network segments, as the network
location is no longer seen as the prime component to the security posture
of the resource."
https://csrc.nist.gov/publications/detail/sp/800-207/draft

One prominent example of this architecture is Google's BeyondCorp:
https://www.beyondcorp.com/

I also found some related earlier debate on the TLS ESNI extension. This
thread seems similar to some threads on this list:
https://mailarchive.ietf.org/arch/msg/tls/LoBSl36ytZhu0TuxLfIyDGnT92Q

thanks,
Rob